local mod = RW:Boss("Nefarian", "Blackwing Lair")
local L

mod.BossIcon = [[Interface\Icons\achievement_boss_nefarion]]

---------------------------
-- Variables

---------------------------
-- Init

function mod:OnRegister()
	L = mod:RegisterLocale(self:GetName(), "enUS", true)
	if L then
		L.Pull	= "Let the games begin!"
		L.P2	= "Well done, my minions. The mortals' courage begins to wane! Now, let's see how they contend with the true Lord of Blackrock Spire!!!"
		L.P3	= "Impossible! Rise my minions!  Serve your master once more!"
	end
	L = mod:GetLocale()
	self.L = L
	
	self:AddEmoteTrigger(L.Pull)
	self:AddMobTrigger(14302, 14264, 14261, 14262, 14265, 14263, 11583) --Chromatic, Red, Blue, Green, Black, Bronze, Nefarian
	self:SetWin(11583)
end

---------------------------
-- Locals

-- API Functions

function mod:OnEngage(trigger)
	if type(trigger) == "string" and trigger:find(L.Pull) then
	end
end