local mod = RW:Boss("Razorgore the Untamed", "Blackwing Lair")
local L

mod.BossIcon = [[Interface\Icons\achievement_boss_nefarion]]

---------------------------
-- Variables

---------------------------
-- Init

function mod:OnRegister()
	L = mod:RegisterLocale(self:GetName(), "enUS", true)
	if L then
		L.Start = "Intruders have breached the hatchery!"
	end
	L = mod:GetLocale()
	self.L = L
	
	self:AddEmoteTrigger(L.Start)
	self:AddMobTrigger(12557, 14456, 12416, 12420, 12435) -- Controller, Guards, Leigoners, Mages, Razorgor
	self:SetWin(12435)
end

---------------------------
-- Locals

-- API Functions

function mod:OnEngage(trigger)
	if type(trigger) == "string" and trigger:find(L.Start) then
	end
end